#ifndef __XLCoreP_h
#define __XLCoreP_h

#include <X11/IntrinsicP.h>
#include <X11/StringDefs.h>
#include <X11/CoreP.h>

#include "XLCore.h"

#include "ximage.h"

typedef struct {
        XtPointer extension;
} XLCoreClassPart;

typedef struct _LayerCoreClassRec {
    CoreClassPart   core_class;
    XLCoreClassPart xlcore_class;
} XLCoreClassRec;

extern XLCoreClassRec xlCoreClassRec;

typedef struct _ImageCorePart {
  XLImage *image;
  XFontStruct *font;
  Window win;
  GC gc;
} XLCorePart;

typedef struct _XLCoreRec {
    CorePart        core;
    XLCorePart    xlcore;
} XLCoreRec;

#define CORE_WIDTH (cw->core.width)
#define CORE_HEIGHT (cw->core.height)
#define CW (cw->xlcore)
#endif
